Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# menubar.hh File Reference

A GtkMenuBar C++ wrapper interface. More...

`#include <xfc/gtk/menushell.hh>`
`#include <gtk/gtkmenubar.h>`
`#include <xfc/gtk/inline/menubar.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::MenuBar
    A GtkMenuBar C++ wrapper class. More...

## Detailed Description

A GtkMenuBar C++ wrapper interface.

Provides MenuBar, a widget subclass of MenuShell which contains one to many MenuItem. The result is a standard menu bar which can hold many menu items.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3